%define debug_package %{nil}
%define gitcommit d0a45f17bf7b4b0d61d12dc58aec6dc1015bb025
%define shortcommit %(c=%{gitcommit}; echo ${c:0:7})
%define commitdate 20231110.073000

Name:           lutris-git
Version:        0.5.14^%{commitdate}.%{shortcommit}
Release:        1%{?dist}
Summary:        Install and play any video game easily

License:        GPLv3
URL:            http://lutris.net
Source0:        https://github.com/lutris/lutris/archive/%{gitcommit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
BuildRequires:  python3-gobject, python3-wheel, python3-setuptools, python3-gobject
Requires:       python3-dbus, python3-evdev, python3-gobject, python3-PyYAML, cabextract
Requires:       gtk3, psmisc, xorg-x11-server-Xephyr, xrandr
Requires:       hicolor-icon-theme
Requires:       gnome-desktop3
Requires:       python3-distro

%ifarch x86_64
Requires:       mesa-dri-drivers(x86-32)
Requires:       mesa-vulkan-drivers(x86-32)
Requires:       vulkan-loader(x86-32)
Requires:       mesa-libGL(x86-32)
Recommends:     pipewire(x86-32)
Recommends:     wine-pulseaudio(x86-32)
Recommends:     wine-core(x86-32)
%endif

Requires:       mesa-vulkan-drivers
Requires:       mesa-dri-drivers
Requires:       vulkan-loader
Requires:       mesa-libGL
Requires:       python3-requests
Requires:       python3-pillow
Requires:       glx-utils
Requires:       gvfs
Requires:       webkit2gtk3
Requires:       python3-lxml
Recommends: 	p7zip, curl
Recommends:	fluid-soundfont-gs
Recommends:     wine-core
Recommends:	p7zip-plugins
Recommends:	gamemode
BuildRequires:  fdupes
BuildRequires:  libappstream-glib
BuildRequires:  meson, gettext


%description
Lutris is a gaming platform for GNU/Linux. Its goal is to make
gaming on Linux as easy as possible by taking care of installing
and setting up the game for the user. The only thing you have to
do is play the game. It aims to support every game that is playable
on Linux.

%prep
%autosetup -n lutris-%{gitcommit} -p1

%build
%py3_build
%meson
%meson_build

%install
%py3_install
%meson_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/net.lutris.Lutris.metainfo.xml
%fdupes %{buildroot}%{python3_sitelib}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications share/applications/net.lutris.Lutris.desktop

%files
%{_bindir}/lutris
%{_datadir}/lutris/
%{_datadir}/applications/net.lutris.Lutris.desktop
%{_datadir}/icons/hicolor/scalable/apps/lutris.svg
%{_datadir}/icons/hicolor/16x16/apps/lutris.png
%{_datadir}/icons/hicolor/22x22/apps/lutris.png
%{_datadir}/icons/hicolor/24x24/apps/lutris.png
%{_datadir}/icons/hicolor/32x32/apps/lutris.png
%{_datadir}/icons/hicolor/48x48/apps/lutris.png
%{_datadir}/icons/hicolor/64x64/apps/lutris.png
%{_datadir}/icons/hicolor/128x128/apps/lutris.png
%{_datadir}/man/man1/lutris.1.gz
%{python3_sitelib}/lutris-*.egg-info
%{python3_sitelib}/lutris/
%{_datadir}/metainfo/
%{_datadir}/locale/

%changelog
* Fri Nov 10 2023 Steve Cossette <farchord@gmail.com> - 0.5.14^20231110.073000.d0a45f1-1
- 0.5.14^20231110.073000.d0a45f1

* Tue Oct 31 2023 Steve Cossette <farchord@gmail.com> - 0.5.14^20231031.192000.b77cf2d-1
- 0.5.14^20231031.192000.b77cf2d-1

* Fri Oct 20 2023 Steve Cossette <farchord@gmail.com> - 0.5.14^20231019.090900.ba9c0ae-1
- 0.5.14^20231019.090900.ba9c0ae
